Bug 127637 - RedHat Enterprise ES 3.0 System freezes down or crashes. HW Intel SRCU42x , Driver : latest from Intel dated to may, look for the link in the details here
RedHat Enterprise ES 3.0 System freezes down or crashes. HW Intel SRCU42x , D...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-07-11 19:05 EDT by Michael Langhoff
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-12 11:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
shows how mem decreases, buffer increases. stopped before freezing the machine. (3.10 KB, text/plain)
2004-07-12 08:45 EDT, Michael Langhoff
no flags Details

  None (edit)
Description Michael Langhoff 2004-07-11 19:05:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1)

Description of problem:
HW :
Dual Xeon 2,8 GHz, Hyperthr. enabled (BIOS)

the following error occures during Payload or starting up with both,
None SMP or SMP :
- System freezes up during large or small payload feeding up the RAID 5
- Driver installed is the following, after contacting Intel :

you for contacting Intel(R) Technical Support.

The Red Hat* Linux* AS 3.0 32bit driver for the Intel(R) RAID
Controller SRCU42X can be downloaded from the following URL:


Please mention my question to the support team at Intel, here we go:

Dear support,

i get really confused at this moment so i am contacting you, as the
last possibility.

We got the following Hardware for our end customer:
Mainboard : Tyan Tiger - I7501R    Rev  S2735-8m V2.02
Intel Raid Controller  SRCU42x, working in a 64 BIT Slot Operating
System :  Red Hat Enterprise Linux 3 ES (i386) with Update 2

I get confused with the Driver Section for this Operating System.

Can YOU tell me the RIGHT HTTP Referer to the Driver for this
Controller to get this working with the OS ???

In fact, the system Freezes for a few seconds or totally crashes/
Hangs up so i must RESET the machine.

Version-Release number of selected component (if applicable):
2.4.20.x 2.4.20.x SMP

How reproducible:

Steps to Reproduce:
1. Install SRCU42x Intel Raid Controller on a Tyan Tiger using the
I7501 Chipset, with 2 XEON 2,8 GHz CPU�s, 2 GB RAM
2. Define RAID Level (it also appears at 0,1,2,3,4,5,50)
3. Install Linux ES using linux -dd on the IDE Harddisk
4. Install the Driver from the upper Intelsupport located in the text here
5. Stress the System with Network traffic to the RAID Volume

My volume is called /dev/raiddisk
Hyperthreading is enabled

Harddisks :
6x 147 GB SCSI HD 320, working on a 160er backplane; Controlleracess
settled up to 160m


Actual Results:  The system hangs or crashes during RAID Operation.
When it moves out due normal Operation (save not to the RAID but to
the IDE) it runs fine.

Expected Results:  WORKING SYSTEM with RAID 5

Additional info:

MEGARAID : Flush 64 times in queue ...
seems to be that the driver is unable to flush the cache ?????

HINT if you can help me :
I am a LINUX ES Newbie and my english is bad.
please explain in details.

I will attach the LOG Files of the SCSI Error messages tomorrow.
Comment 1 Michael Langhoff 2004-07-12 08:45:56 EDT
Created attachment 101808 [details]
shows how mem decreases, buffer increases. stopped before freezing the machine.

Ok, the problem seems to be the following :
after pushing Files to the System the memory began to decrease.
The buffersize increases, the memory USED increased caused by the buffers.
Then, when 2GB are reached for buffers, the system freezes.

Comment 2 Arjan van de Ven 2004-07-12 08:47:45 EDT
if you need urgent help please call our support; bugzilla is not a
support mechanism for urgent help.
Please go to https://www.redhat.com/apps/support/ for more information.
Comment 3 Ernie Petrides 2004-07-12 11:39:34 EDT
Michael, I think it would be better for you to work with Intel
support on this problem, since their driver is causing the problems.

Note You need to log in before you can comment on or make changes to this bug.